<?php
/**
 * Plugin Name: WHODUNIT WP Down Slack Alert - Constants
 * Description: This plugin’s purpose is to configure PHP Constants for WP Down Slack Alert plugin.
 * Version: 0.4
 * License: GPLv2
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text-domain: wp-down-slack-alert
 */

/*
 * Disable the admin settings screen
 * bool (true/false)
 * Use `false` to disable the settings screen.
 */
define( 'WPDSA_SETTINGS', true );

/*
 * Define the Slack API Token
 * string
 */
define( 'WPDSA_NOTIFICATION_TOKEN', 'xoxb-14644161601-888763288694-4gQgFEYOtdETb8UYKg7uoBVx' );

/*
 * Define the notification channel
 * string
 * Should be an URL-friendly string.
 */
define( 'WPDSA_NOTIFICATION_CHANNEL', 'maintenance_alertes' );

/*
 * Disable the notification email
 * bool (true/false)
 * Use `true` to disable the notification emails.
 */
define( 'WPDSA_NOTIFICATION_DISABLE_EMAIL', true );

/*
 * Define the Slack notification recurrence
 * string
 * Accepted values: `0.5`, `1`, `2`, `6`, `24`, `anytime`
 */
define( 'WPDSA_NOTIFICATION_RECURRENCE', '2' );

/*
 * Define the notification bot name
 * string
 * Should be an URL-friendly string.
 */
define( 'WPDSA_NOTIFICATION_BOTNAME', 'DOWN' );

/*
 * Define the notification message title text
 * string
 */
define( 'WPDSA_NOTIFICATION_MESSAGE_TITLE', 'Alerte - site down' );

/*
 * Define the notification message footer text
 * string
 */
define( 'WPDSA_NOTIFICATION_MESSAGE_FOOTER', 'WP Down Slack Alert, par Whodunit' );

/*
 * Define the notification message image
 * string
 * Should be a valid absolute URL to your image.
 */
define( 'WPDSA_NOTIFICATION_MESSAGE_IMAGE', 'http://assets.whodunit.fr/signatures/whodunit.png' );
